## org.apache.lucene.document
Class NumericDocValuesField

    java.lang.Object
      org.apache.lucene.document.Field
          org.apache.lucene.document.NumericDocValuesField

All Implemented Interfaces:
  IndexableField

Direct Known Subclasses:
  ByteDocValuesField, DoubleDocValuesField, FloatDocValuesField, IntDocValuesField, LongDocValuesField, PackedLongDocValuesField, ShortDocValuesField

    public class NumericDocValuesField

extends Field

Field that stores a per-document `long` value for scoring, sorting or value retrieval. Here's an example usage:

       document.add(new NumericDocValuesField(name, 22L));

If you also need to store the value, you should add a separate `StoredField` instance.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.document.Field
`Field.Index, Field.Store, Field.TermVector`

Field Summary
`static FieldType` `TYPE` Type for numeric DocValues.

Fields inherited from class org.apache.lucene.document.Field
`boost, fieldsData, name, tokenStream, type`

Constructor Summary
`NumericDocValuesField(String name, long value)` Creates a new DocValues field with the specified 64-bit long value

Method Summary

Methods inherited from class org.apache.lucene.document.Field
`binaryValue, boost, fieldType, name, numericValue, readerValue, setBoost, setBytesValue, setBytesValue, setByteValue, setDoubleValue, setFloatValue, setIntValue, setLongValue, setReaderValue, setShortValue, setStringValue, setTokenStream, stringValue, tokenStream, tokenStreamValue, toString, translateFieldType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final FieldType TYPE

  Type for numeric DocValues.

Constructor Detail

### NumericDocValuesField

    public NumericDocValuesField(String name,
                                 long value)

  Creates a new DocValues field with the specified 64-bit long value

  Parameters:
    `name` - field name
    `value` - 64-bit long value
  Throws:
    `IllegalArgumentException` - if the field name is null

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.